/*
    Se van a crear todas las clases de inputs para el proyecto.
    Unicamente se van a compilar dentro del main.css.
*/



/*------------------------------------*\
    #Controles del formulario
\*------------------------------------*/

$duration: 250ms;
$height-form: var(--box-4);

%control-form {
    width: 100%;
    padding-right: var(--box-2);
    padding-left: var(--box-2);
    color: var(--black);
    font-family: var(--font-text);
    font-size: var(--txt-3);
    border-radius: var(--edge-sm);
    border-color: var(--white);
    border-style: solid;
    background: var(--white);
    transition: border-color $duration ease-in;
}




// Controles

.input {
    @extend %control-form;
    height: $height-form;

    &:hover,
    &:focus,
    &:active {border-color: var(--brand-primary);}

    &--small {width: var(--box-28);}
    &--mr {margin-right: var(--box-4);}
}


.select {
    @extend %control-form;
    position: relative;
    height: $height-form;

    &:hover,
    &:focus,
    &:active {border-color: var(--brand-primary);}
}

.textarea {
    @extend %control-form;
    height: var(--box-28);
    padding-top: var(--box-2);
    padding-bottom: var(--box-2);

    &:hover,
    &:focus,
    &:active {border-color: var(--brand-primary);}
}